# PCCholeskySetShift

specify whether to use Manteuffel shifting of Cholesky. If an Cholesky factorisation breaks down because of nonpositive pivots, adding sufficient identity to the diagonal will remedy this. Setting this causes a bisection method to find the minimum shift that will lead to a well-defined Cholesky.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCCholeskySetShift(PC pc,PetscTruth shift)

### Input parameters

| pc | - the preconditioner context
| shifting | - PETSC_TRUE to set shift else PETSC_FALSE

### Options Database Key

-pc_ilu_shift -Activate PCCholeskySetShift()

### Keywords

PC, indefinite, factorization, incomplete, Cholesky

### See Also

PCILUSetShift()

Level:intermediate
Location:src/ksp/pc/impls/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages